List account members
Return a list of account members.
By default, this returns the first 20 members. Page through this list with the limit parameter and by following the first, prev, next, and last links in the returned _links field. These links are not present if the pages they refer to don’t exist. For example, the first and prev links will be missing from the response on the first page.
Filtering members
LaunchDarkly supports the following fields for filters:
queryis a string that matches against the members’ emails and names. It is not case sensitive.roleis a|separated list of roles and custom roles. It filters the list to members who have any of the roles in the list. For the purposes of this filtering,Ownercounts asAdmin.idis a|separated list of member IDs. It filters the list to members who match any of the IDs in the list.emailis a|separated list of member emails. It filters the list to members who match any of the emails in the list.teamis a string that matches against the key of the teams the members belong to. It is not case sensitive.noteamis a boolean that filters the list of members who are not on a team if true and members on a team if false.lastSeenis a JSON object in one of the following formats:{"never": true}- Members that have never been active, such as those who have not accepted their invitation to LaunchDarkly, or have not logged in after being provisioned via SCIM.{"noData": true}- Members that have not been active since LaunchDarkly began recording last seen timestamps.{"before": 1608672063611}- Members that have not been active since the provided value, which should be a timestamp in Unix epoch milliseconds.
accessCheckis a string that represents a specific action on a specific resource and is in the format<ActionSpecifier>:<ResourceSpecifier>. It filters the list to members who have the ability to perform that action on that resource. Note:accessCheckis only supported in API version20220603and earlier. To learn more, read Versioning.- For example, the filter
accessCheck:createApprovalRequest:proj/default:env/test:flag/alternate-pagematches members with the ability to create an approval request for thealternate-pageflag in thetestenvironment of thedefaultproject. - Wildcard and tag filters are not supported when filtering for access.
- For example, the filter
For example, the filter query:abc,role:admin|customrole matches members with the string abc in their email or name, ignoring case, who also are either an Owner or Admin or have the custom role customrole.
Sorting members
LaunchDarkly supports two fields for sorting: displayName and lastSeen:
displayNamesorts by first + last name, using the member’s email if no name is set.lastSeensorts by the_lastSeenproperty. LaunchDarkly considers members that have never been seen or have no data the oldest.
Expanding the members response
LaunchDarkly supports two fields for expanding the “List members” response. By default, these fields are not included in the response.
To expand the response, append the expand query parameter and add a comma-separated list with any of the following fields:
customRolesincludes a list of the roles that you have assigned to the member.roleAttributesincludes a list of the role attributes that you have assigned to the member.
For example, expand=roleAttributes includes roleAttributes field in the response.
Authorizations
Query Parameters
The number of members to return in the response. Defaults to 20.
Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
A comma-separated list of filters. Each filter is of the form field:value. Supported fields are explained above.
A comma-separated list of properties that can reveal additional information in the response.
A comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order.